function setup() {
	var el=document.getElementById('another');
	el.style.visibility='hidden';
	var el=document.getElementById('message');
	el.textContent='the first to make XXX loses';
	for (var i=0;i<9;i++) {
		g_squares[i]=0;
		var el=document.getElementById(i);
		el.textContent='';
		el.style.backgroundColor='linen';
	}
	g_finished=false;
	g_player=true;
}